LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLinguServiceEventBroadcaster Interface Referencepublished

is used to register a listener for LinguServiceEvents. More...

`import"XLinguServiceEventBroadcaster.idl";`

Inheritance diagram for XLinguServiceEventBroadcaster:

## Public Member Functions
boolean | addLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
boolean | removeLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to register a listener for LinguServiceEvents.

This interface may be used by spell checker or hyphenator implementations to allow clients to be registered and informed about com::sun::star::linguistic2::LinguServiceEvents.

Note: The LinguServiceManager forwards the com::sun::star::linguistic2::LinguServiceEvents it receives (from spell checkers or hyphenators) to its own listeners. Thus, there should be no need to register as a listener for a specific implementation./P>

See also
  com::sun::star::linguistic2::XLinguServiceManager
  com::sun::star::linguistic2::XLinguServiceEventListener

## Member Function Documentation

## ◆ addLinguServiceEventListener()

boolean addLinguServiceEventListener | ( | [in] com::sun::star::linguistic2::XLinguServiceEventListener | xLstnr | ) |

Returns
  `TRUE` if the listener was successfully added, `FALSE` otherwise.

Parameters

  xLstnr | the listener to be added.

## ◆ removeLinguServiceEventListener()

boolean removeLinguServiceEventListener | ( | [in] com::sun::star::linguistic2::XLinguServiceEventListener | xLstnr | ) |

Returns
  `TRUE` if the listener was successfully removed, `FALSE` otherwise.

Parameters

  xLstnr | the listener to be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XLinguServiceEventBroadcaster.idl